import React from "react";
import RankingListItem from "./RankingListItem";
import { transferTimeToHumanize } from "./utils";

// tips: 計算歌曲總長度時間可善用 array.reduce() 方法進行加總
const RankingList = (props) => {
  const time = props.list.reduce((t, musicTime) => t + musicTime.musicTime, 0);
  const {onIncreseLike, onDecreaseLike,onFavorite} = props;
  return (
    <div className="ranking-list list">
      <div className="title">
        {/* tips: 善用 utils.js 的 transferTimeToHumanize 方法轉換歌曲時間的顯示格式 */}
        音樂榜<span className="total">{transferTimeToHumanize(time)}</span>
      </div>
      {/* tips，傳入歌曲資料與適當的 callback */}
      {props.list.map((track) => (
        <RankingListItem
          track={track}
          key={track.id}
          likeCount={track.likeCount}
          id={track.id}
          favorite={track.favorite}
          onIncreseLike={onIncreseLike}
          onDecreaseLike={onDecreaseLike}
          onFavorite={onFavorite}
        />
      ))}
    </div>
  );
};

export default RankingList;
